Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419587 (CVE-2017-5838) - CVE-2017-5838 gstreamer: Out-of-bounds read in gst_date_time_new_from_iso8601_string()
Summary: CVE-2017-5838 gstreamer: Out-of-bounds read in gst_date_time_new_from_iso8601...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419628 1419626 1419627 1419629
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:02 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
25 users (show)

Fixed In Version: gstreamer1 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 09:12:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 15:02:29 UTC
An out-of-bounds read in gst_date_time_new_from_iso8601_string() was found that can be triggered by malformed datetime string.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777263

Upstream patch:

https://github.com/GStreamer/gstreamer/commit/9398b7f1a75b38844ae7050b5a7967e4cdebe24f

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:25:17 UTC
Created mingw-gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1419629]

Comment 2 Adam Mariš 2017-02-06 15:25:35 UTC
Created gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1419626]

Comment 3 Adam Mariš 2017-02-06 15:25:48 UTC
Created mingw-gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1419628]

Comment 4 Adam Mariš 2017-02-06 15:26:01 UTC
Created gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1419627]

Comment 6 errata-xmlrpc 2017-08-01 22:30:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.